Bug 250690 - Video modes do not work properly with ATI ES1000/RN50 on RHEL3 U9
Video modes do not work properly with ATI ES1000/RN50 on RHEL3 U9
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: xorg-x11-drv-ati (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Depends On:
  Show dependency treegraph
Reported: 2007-08-02 17:38 EDT by Bob Dingman
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-19 14:35:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
log file from XFree86 (49.14 KB, application/octet-stream)
2007-08-02 17:38 EDT, Bob Dingman
no flags Details
Problematic (almost) XF86Config file (3.05 KB, application/octet-stream)
2007-09-26 16:47 EDT, Bob Dingman
no flags Details

  None (edit)
Description Bob Dingman 2007-08-02 17:38:16 EDT
Description of problem:
When installing RHEL 3 Update 9 on an IBM x3650 (type 7979-AC1) server, the
Radeon driver is selected but it does not produce a readable video output. (It
is very "shimmery")

Version-Release number of selected component (if applicable):
radeon_driver.c shows a release of 1.91 at the top of the file, but the date is
from 2003.  (The component is the version that installs standard with RHEL 3 U9.)

How reproducible:
Always reproducible

Steps to Reproduce:
1.Install RHEL 3 Update 9

Actual Results:  
When X Windows starts, there is poor (useless) video. Workaround is to use the
Vesa driver.

Additional info:
This may be related to bug 189927; however, access to the bug is denied to me.
Comment 1 Bob Dingman 2007-08-02 17:38:16 EDT
Created attachment 160555 [details]
log file from XFree86
Comment 2 Bob Dingman 2007-08-03 16:26:56 EDT
The attachment above is the XFree86 log file correpsonding to starting X Windows
with the Radeon driver on the hardware and OS described in Comment #1.
Comment 3 Matěj Cepl 2007-09-10 12:53:18 EDT
Just to be sure -- could we get /etc/X11/xorg.conf as well, please?
Comment 4 Bob Dingman 2007-09-26 16:47:02 EDT
Created attachment 207511 [details]
Problematic (almost) XF86Config file

Attached is the closest XF86Config I can find. I'm fairly sure that it's the
same as the automatically-configured one with the exception that I've modified
the driver to be "vesa" instead of "radeon".

If necessary, I can probably generate another copy of the problematic config
file using the display settings utility and selecting the default (i.e.,
automatically detected) values. (I no longer have ready access to the console.)
Comment 5 Matěj Cepl 2007-09-26 16:56:02 EDT
Of course, silly me, I am sorry, this is RHEL 3, so you have still good old XFree86.
Comment 6 RHEL Product and Program Management 2007-10-19 14:35:57 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
For more information of the RHEL errata support policy, please visit:
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.